d3.csv('https://gist.githubusercontent.com/MalempatiSaranya/5e6e2e128949fec5748ae521907cf781/raw/a50e099a1b49c58f406c5f53607fc6ab86f48e02/scatter.csv', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'Calcium'), 
  y:unpack(rows, 'vitamin'), 
  z:unpack(rows, 'Protein'),
	mode: 'markers',
	marker: {
		color: 'blue',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'green',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'calcium',
      titlefont: {
         color: 'black',
         family: 'Arial, Open Sans',
         size: 14
      }
    },
    yaxis: {
      title: 'vitamin',
      titlefont: {
         color: 'violet',
         family: 'Arial, Open Sans',
         size: 14
      }
    },
  zaxis: {
      title: 'vegetable protein',
      titlefont: {
         color: 'blue',
         family: 'Arial, Open Sans',
         size: 14
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
